SIMPLES - Baixar verões antigas de um progama do repositório (Me ajuda!) [RESOLVIDO]

13. Re: SIMPLES - Baixar verões antigas de um progama do repositório (Me ajuda!) [RESOLVIDO]

Willian da Silva Ramalho
WillianRamalho

(usa Linux Mint)

Enviado em 04/01/2019 - 15:13h

pylm escreveu:


WillianRamalho escreveu:


Mas eu não faria desse modo,
Baixaria o pacote: https://launchpad.net/~gregory-hainaut/+archive/ubuntu/pcsx2.official.ppa/+files/pcsx2_1.2.2-5_i386....

E instalaria com dpkg:
$ sudo dpkg -i [caminho-do-pacote]
$ sudo dpkg --add-architecture i386
$ sudo apt update
$ sudo apt -f install

Por esse método ele instala e versão 1.4.4.0
(essa versão esta bugada e não reconhece meu controle)


Tive esse problema com um controle USB genérico, foi corrigido nas últimas versões de desenvolvimento que você pode compilar do git.

É exatamente esse o problema! Meu controle é generic.
vou baixar uma snapshot do Pcsx2 e testar se funciona.
Meu problema é provavelmente com o plugin do OnePad.



  


14. Re: SIMPLES - Baixar verões antigas de um progama do repositório (Me ajuda!)

Willian da Silva Ramalho
WillianRamalho

(usa Linux Mint)

Enviado em 04/01/2019 - 15:24h

pylm escreveu:


WillianRamalho escreveu:


Mas eu não faria desse modo,
Baixaria o pacote: https://launchpad.net/~gregory-hainaut/+archive/ubuntu/pcsx2.official.ppa/+files/pcsx2_1.2.2-5_i386....

E instalaria com dpkg:
$ sudo dpkg -i [caminho-do-pacote]
$ sudo dpkg --add-architecture i386
$ sudo apt update
$ sudo apt -f install

Por esse método ele instala e versão 1.4.4.0
(essa versão esta bugada e não reconhece meu controle)


Tive esse problema com um controle USB genérico, foi corrigido nas últimas versões de desenvolvimento que você pode compilar do git.

Baixei a ultima snapshot do Pcsx2 Com o plugin PAD : OnePad 2.0.0
Infelizmente não reconheceu minhas teclas no mapeamento. :(
(PCSX2 1.5.0.0


15. Re: SIMPLES - Baixar verões antigas de um progama do repositório (Me ajuda!) [RESOLVIDO]

Mauriciodez
Mauriciodez

(usa Debian)

Enviado em 04/01/2019 - 19:17h

WillianRamalho escreveu:
sudo dpkg -i '/home/willian/Downloads/pcsx2_1.2.2-5_i386 .deb' A seleccionar pacote anteriormente não seleccionado pcsx2:i386.
(Lendo banco de dados ... 260015 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar .../pcsx2_1.2.2-5_i386 .deb ...
A descompactar pcsx2:i386 (1:1.2.2-5) ...
dpkg: problemas com dependências impedem a configuração de pcsx2:i386:
pcsx2:i386 depende de libcg (>= 3.0.0007).
pcsx2:i386 depende de libcggl (>= 3.0.0007).
pcsx2:i386 depende de libegl1-mesa (>= 7.8.1) | libegl1-x11.
pcsx2:i386 depende de libglew1.8 (>= 1.8.0).
pcsx2:i386 depende de libsdl1.2debian (>= 1.2.11).
pcsx2:i386 depende de libsoundtouch0.
pcsx2:i386 depende de libwxbase2.8-0 (>= 2.8.12.1).
pcsx2:i386 depende de libwxgtk2.8-0 (>= 2.8.12.1).

dpkg: erro ao processar o pacote pcsx2:i386 (--install):
problemas de dependência - deixando desconfigurado
A processar 'triggers' para gnome-menus (3.13.3-11ubuntu1.1) ...
A processar 'triggers' para desktop-file-utils (0.23+linuxmint4) ...
A processar 'triggers' para mime-support (3.60ubuntu1) ...
A processar 'triggers' para man-db (2.8.3-2ubuntu0.1) ...
Erros foram encontrados durante o processamento de:
pcsx2:i386


sudo apt -f install 


------------------------------------------| Linux User #621728 |-----------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------| Linux User #621728 |-----------------------------------------



16. Re: SIMPLES - Baixar verões antigas de um progama do repositório (Me ajuda!) [RESOLVIDO]

Willian da Silva Ramalho
WillianRamalho

(usa Linux Mint)

Enviado em 06/01/2019 - 22:17h

zezaocapoeira escreveu:

Salve mano.

Dá uma olhada:

https://github.com/PCSX2/pcsx2/issues/2010

O onepad-2 é setado agora por uma database interna.

https://github.com/PCSX2/pcsx2/blob/master/plugins/onepad/res/game_controller_db.txt

Aqui no meu o controle não era reconhecido pelo onepad-2, pois o mesmo não estava descrito/incluso na database game_controller_db.txt.

Adicionei a configuração referente ao meu controle ao arquivo game_controller_db.txt no source, compilei e reconheceu automaticamente.
https://imgur.com/gjagf8s


Ou pode exportar ou executar o pcsx2 pelo terminal.
(no meu caso)

$ SDL_GAMECONTROLLERCONFIG="03000000c62400000053000000010000,PowerA MINI PROEX Controller,a:b0,b:b1,back:b6,dpdown:h0.4,dpleft:h0.8,dpright:h0.2,dpup:h0.1,guide:b8,leftshoulder:b4,leftstick:b9,lefttrigger:a2,leftx:a0,lefty:a1,rightshoulder:b5,rightstick:b10,righttrigger:a5,rightx:a3,righty:a4,start:b7,x:b2,y:b3" PCSX2


Caso use steam, verifique o arquivo /home/seu-usuario/.local/share/Steam/config/config.vdf. O termo a ser procurado nesse arquivo "SDL_GamepadBind", nessa linha deve ter os dados referentes ao seu joystick.

Ou pode adicionar a configuração referente ao joystick em /home/seu-usuário/.config/PCSX2/inis/OnePAD2.ini.

OBS:

O plugin onepad-legacy funciona do modo manual, esse dá para mapear diretamente pelo emulador, basta selecioná-lo em plugins.

https://imgur.com/oxIp7pM

Aqui sempre prefiro usar/compilar o emulador com os commits mais recentes, pois estão mais otimizados e com menos bugs.

Obrigado pela atenção, salve!!!


Valeu!! Funcionou $ SDL_GAMECONTROLLERCONFIG="**" PCSX2
encontrei o gameconfig para meu controle genérico.
não precisei baixar versões antigas





01 02



Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts